GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
List< String > | getShipmentReference ()
List< String > | getShipmentUnitReference ()
Date | getInitialDate ()
void | setInitialDate (Date value)
String | getStatus ()
void | setStatus (String value)

## Protected Attributes
String | trackID
String | parcelNumber
String | partnerParcelNumber
List< String > | shipmentReference
List< String > | shipmentUnitReference
Date | initialDate
String | status

## Detailed Description

Unit item (a track list item)

Java class for UnitItem complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="UnitItem">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
            <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="InitialDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
            <element name="Status" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 53 of file tracking/UnitItem.java.

## Member Function Documentation

## ◆ getInitialDate()

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.getInitialDate | ( |  | ) |

Gets the value of the initialDate property.

Returns
  possible object is String

Definition at line 210 of file tracking/UnitItem.java.

## ◆ getParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 104 of file tracking/UnitItem.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 128 of file tracking/UnitItem.java.

## ◆ getShipmentReference()

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentReference property.

For example, to add a new item, do as follows:

       getShipmentReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 166 of file tracking/UnitItem.java.

## ◆ getShipmentUnitReference()

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentUnitReference property.

For example, to add a new item, do as follows:

       getShipmentUnitReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 195 of file tracking/UnitItem.java.

## ◆ getStatus()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.getStatus | ( |  | ) |

Gets the value of the status property.

Returns
  possible object is String

Definition at line 234 of file tracking/UnitItem.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 80 of file tracking/UnitItem.java.

## ◆ setInitialDate()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.setInitialDate | ( | Date | value | ) |

Sets the value of the initialDate property.

Parameters

  value | allowed object is String

Definition at line 222 of file tracking/UnitItem.java.

## ◆ setParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 116 of file tracking/UnitItem.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 140 of file tracking/UnitItem.java.

## ◆ setStatus()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.setStatus | ( | String | value | ) |

Sets the value of the status property.

Parameters

  value | allowed object is String

Definition at line 246 of file tracking/UnitItem.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 92 of file tracking/UnitItem.java.

## Member Data Documentation

## ◆ initialDate

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.initialDate
| protected

Definition at line 68 of file tracking/UnitItem.java.

## ◆ parcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.parcelNumber
| protected

Definition at line 58 of file tracking/UnitItem.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.partnerParcelNumber
| protected

Definition at line 60 of file tracking/UnitItem.java.

## ◆ shipmentReference

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.shipmentReference
| protected

Definition at line 62 of file tracking/UnitItem.java.

## ◆ shipmentUnitReference

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.shipmentUnitReference
| protected

Definition at line 64 of file tracking/UnitItem.java.

## ◆ status

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.status
| protected

Definition at line 70 of file tracking/UnitItem.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.UnitItem.trackID
| protected

Definition at line 56 of file tracking/UnitItem.java.

The documentation for this class was generated from the following file:

- tracking/UnitItem.java